/***************************************************************************
 *   Copyright (C) 2004 by Predrag Viceic                                  *
 *   viceic@net2000.ch                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "mysplitter.h"

MySplitter::MySplitter(Orientation o,QWidget *parent, const char *name)
:QSplitter(o,parent,name)
{    
}

MySplitter::~MySplitter()
{    
}

void MySplitter::resizeEvent ( QResizeEvent * ev){
    QSplitter::resizeEvent(ev);
    /*
    resize(ev->size());
    if(ev->oldSize().isValid() && ev->size().isValid()){
        float horiz_ratio=ev->size().width()/ev->oldSize().width();
        float vert_ratio=ev->size().height()/ev->oldSize().height();
            QValueList<int> oldsizes=sizes();
            QValueList<int> newSizes;
            for (QValueList<int>::iterator it = oldsizes.begin(); it != oldsizes.end(); ++it ){
                if(orientation()==Qt::Horizontal){
                    newSizes.append(int(float(*it)*horiz_ratio));
                }else{
                    //newSizes.append(int(float(*it)*vert_ratio));
                }
            }
            setSizes(newSizes);
            update();
    }
    */
}



